#welcome-header {
	color: white;
	text-align: center;
	margin: 35px 0 20px;
	padding: 0 20px;
	text-transform: uppercase;
}

#delivery-banner {
	color: white;
	display: none;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	gap: 6px;
	margin-top: 30px;
	padding: 8px 0;
}

#delivery-banner img {
	width: 22px;
	aspect-ratio: 1;
	user-select: none;
	pointer-events: none;
}

#page-wrapper {
	width: 1400px;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	gap: 20px;
}

#bcf-section {
	text-align: center;
	font-size: 18px;
	color: white;
	border-radius: var(--border-radius);
	margin-bottom: 10px;
}

#browse {
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	flex-wrap: wrap;
}

/* Main buttons on home page */
#browse > button {
	position: relative;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	width: calc(33% - 10px);
	height: 100px;
	background-size: 200% 100%;
	background-position: left center;
	cursor: pointer;
	border: 1px solid var(--backdrop);
	border-radius: var(--border-radius);
	overflow: hidden;
	color: white;
	transition: background-position 0.4s ease;
}

#browse > button p {
	font-size: 24px;
	font-weight: bold;
	letter-spacing: 0.05rem;
	text-transform: uppercase;
	z-index: 4;
	text-align: center;
	transition: 0.15s ease-in-out;
}

#browse > button:hover p {
	font-size: 32px;
	letter-spacing: 0.2rem;
}

#interest-button,
#order-button,
#suggestion-button {
	position: absolute;
	inset: 0;
}

#interest-button {
	background: linear-gradient(
		90deg,
		rgb(241, 163, 60),
		rgb(224, 67, 56),
		rgb(184, 17, 148)
	);
}

#order-button {
	background: linear-gradient(
		90deg,
		rgb(224, 67, 56),
		rgb(170, 17, 184),
		rgb(89, 17, 184)
	);
}

#browse > button:hover {
	background-position: right center;
}

#suggestion-button {
	background: linear-gradient(
		90deg,
		rgb(170, 17, 184),
		rgb(89, 17, 184),
		rgb(22, 119, 209)
	);
}

#quiz-button {
	width: 100%;
	height: 80px;
	background: linear-gradient(
		90deg,
		rgba(36, 56, 240, 1) 0%,
		rgba(78, 194, 236, 1) 100%
	);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	cursor: pointer;
	border: 1px solid var(--backdrop);
	border-radius: var(--border-radius);
	overflow: hidden;
	color: white;
	font-size: 24px;
	font-weight: bold;
	letter-spacing: 0.05rem;
	text-transform: uppercase;
	transition: 0.2s ease-in-out;
}

#quiz-button:hover {
	font-size: 32px;
	letter-spacing: 0.2rem;
}

#top-showcase {
	display: none;
	position: relative;
	width: 100%;
	aspect-ratio: 7 / 2;
	overflow: hidden;
}

#showcase-gallery {
	position: relative;
	width: 100%;
	height: 400px;
	border-radius: var(--border-radius);
	overflow: hidden;
}

#showcase-gallery img, #top-showcase img {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
	opacity: 0;
	transition: opacity 1s ease;
}

#showcase-gallery img.visible, #top-showcase img.visible {
	opacity: 1;
}

#page-title {
  	display: none;
}

#latest-patches,
#bestselling-patches {
	color: white;
	background-color: var(--backdrop);
	text-align: center;
	padding: 10px 0 20px;
	border-radius: var(--border-radius);
}

#latest-patches h2,
#bestselling-patches h2 {
	text-transform: uppercase;
	letter-spacing: 0.05rem;
}

#latest-patches-wrapper,
#bestselling-patches-wrapper {
	display: flex;
	flex-direction: row;
	justify-content: start;
	gap: 20px;
	overflow: scroll;
	padding: 0 20px;
}

#latest-patches-wrapper > div,
#bestselling-patches-wrapper > div {
	position: relative;
	border-radius: calc(var(--border-radius) / 1.5);
	cursor: pointer;
	padding-bottom: 20px;
	margin-bottom: 10px;
	margin-top: 20px;
}

#latest-patches-wrapper h3,
#bestselling-patches-wrapper h3 {
	font-style: italic;
	max-width: 220px;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
}

#latest-patches-wrapper,
#bestselling-patches-wrapper {
	text-transform: uppercase;
}

.patch-image-wrapper {
	position: relative;
	width: 220px;
	height: 220px;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: calc(var(--border-radius) / 1.5);
	overflow: hidden;
}

.patch-image-wrapper img {
	width: 100%;
	height: 100%;
	object-fit: contain;
	transform-origin: center center;
	transition: transform 0.2s ease;
}

.blur-load::before {
	content: "";
	position: absolute;
	inset: 0;
	animation: pulse 2.5s infinite;
}

.blur-load.loaded::before {
	content: none;
}

@keyframes pulse {
	0% {
		background: rgb(255 255 255 / 0);
	}
	50% {
		background: rgb(255 255 255 / 0.2);  
	}
	100% {
		background: rgb(255 255 255 / 0);
	}
}

.blur-load {
	position: relative;
	background-size: cover;
	background-position: center;
}

.blur-load.loaded > img {
	opacity:  1;
}

.blur-load > img {
	opacity: 0;
	transition: opacity 0.15s ease-in-out,
				transform 0.2s ease;
}

.new-patch-tag {
	color: white;
}

.new-patch-tag {
	position: absolute;
	top: -10px;
	right: -10px;
}

.new-patch-tag-content {
	width: 64px;
	height: 64px;
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
}

.new-patch-tag-content p {
	z-index: 12;
	text-transform: uppercase;
	font-weight: bold;
	letter-spacing: 0.02rem;
}

.new-patch-tag-content img {
	width: 100%;
	height: 100%;
	object-fit: contain;
	position: absolute;
	z-index: 11;
}

#latest-patches-wrapper > div:hover .patch-img,
#bestselling-patches-wrapper > div:hover .patch-img {
	transform: scale(1.2);
}

#latest-patches-wrapper > div h3,
#bestselling-patches-wrapper > div h3 {
	font-size: 16px;
	margin-top: 10px;
	margin-bottom: 5px;
}

#info {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 20px;
}

.section {
	width: calc(50% - 30px);
	padding: 16px 10px;
	background-color: var(--backdrop);
	color: white;
	border-radius: var(--border-radius);
}

.section.highlighted {
	text-align: center;
	width: calc(100% - 20px);
}

.section strong {
	color: var(--accent);
}

.section p {
	margin-top: 4px;
}

#news-section {
	width: calc(100% - 20px);
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: start;
}

#news-section #text-section {
	padding-right: 40px;
}

#news-section img {
	display: block;
	width: 312px;
	margin: auto 0;
	margin-right: 100px;
}

.highlighted {
	background: var(--nav-gradient);
	color: white;
}

span.highlighted {
  	padding: 0px 4px;
  	margin: 0 2px;
  	font-weight: bold;
	font-size: 14px;
}

.highlighted strong, .highlighted a {
	color: white;
}

#donated {
	text-align: center;
	width: 350px;
	margin: 0 auto;
	margin-top: 100px;
	padding: 12px 0;
  	border-bottom: 1px solid white;
	background-color: var(--background);
	color: var(--accent);
  	border-top-left-radius: 10px;
  	border-top-right-radius: 10px;
}

#donated strong {
	font-size: 36px;
}

#donated-footer {
	text-align: center;
	font-style: italic;
  	color: white;
  	padding: 6px 0;
  	width: 350px;
  	margin: 0 auto;
  	margin-top: 4px;
  	background-color: #1a1a1a;
  	border-bottom-left-radius: 10px;
  	border-bottom-right-radius: 10px;
}

#footer-content {
	margin-top: 100px;
}

@media screen and (max-width: 1440px) {
	#page-wrapper {
		width: 90%;
	}
}

@media screen and (max-width: 1400px) {
	#quiz-button:hover {
		font-size: 24px;
		letter-spacing: 0.05rem;
	}
}

@media screen and (max-width: 1000px) {
	#page-wrapper {
		width: 80%;
	}

	#browse {
		gap: 20px;
	}

	#browse > button {
		width: 100%;
	}

	#info {
		flex-direction: column;
	}

	.section {
		width: calc(100% - 20px);
	}

	#news-section img {
		width: 256px;
		margin-right: 0px;
	}

	#news-section #left-section {
		padding-right: 20px;
	}

	#container {
		margin-top: 28px !important;
	}

	#showcase-gallery {
		display: none;
	}

	#delivery-banner {
		display: flex;
	}

	#top-showcase {
		display: block;
	}

	#welcome-header {
		margin: 20px 0;
	}

	#latest-patches-wrapper,
	#bestselling-patches-wrapper {
		gap: 30px;
	}

	.patch-image-wrapper {
		width: 190px;
		height: 190px;
	}

	#latest-patches-wrapper > div h3,
	#bestselling-patches-wrapper > div h3 {
		max-width: 190px;
		white-space: nowrap;
		text-overflow: ellipsis;
		overflow: hidden;
	}

	#latest-patches-wrapper > div:hover .patch-img,
	#bestselling-patches-wrapper > div:hover .patch-img {
		transform: none;
	}
}

@media screen and (max-width: 990px) {
    #page-title {
		text-align: center;
      	margin-left: 0;
    }

	#main-header-wrapper {
		margin-top: -160px;
	}
}

@media screen and (max-width: 730px) {
	#news-section {
		flex-direction: column;
		align-items: center;
	}
	
	#news-section img {
		margin-top: 20px;
	}
}

@media screen and (max-width: 768px) {
	#browse > button:hover p {
		font-size: 24px;
		letter-spacing: 0.05rem;
	}

	#browse > button:hover {
		background-position: left center;
	}
}

@media screen and (max-width: 700px) {
	#page-wrapper {
		width: 90%;
	}
	
    span.highlighted {
      	margin: 0;
      	padding: 0;
		background-color: transparent;
      	color: var(--accent);
    }

	#browse {
		flex-direction: column;
		align-items: center;
	}

	#welcome-header {
		font-size: 26px;
		padding: 0 40px;
	}
}

@media screen and (max-width: 495px) {
	#browse, #info {
		gap: 15px;
	}
	
	#info {
		margin-top: 15px;
	}
	
	#browse {
		margin-top: 20px;
	}
	
	#browse > button {
		border: none;
		height: 90px;
	}

	#bcf-section {
		font-size: 16px;
	}

	#welcome-header {
		padding: 0 20px;
	}

	#top-showcase {
		aspect-ratio: 6 / 2;
	}
}

@media screen and (max-width: 420px) {
	#bcf-section {
		font-size: 14px;
	}
}